/**
 *  @file       maloc.h
 *  @ingroup    global_maloc
 *  @brief      The foundation header for MALOC.  
 *  @author     Michael Holst
 *  @note       This is the main header file for all of MALOC.
 *              This is the only file that needs to be included in order to 
 *              access the entire library.
 *  @version    $Id: maloc.h,v 1.21 2010/08/12 05:40:13 fetk Exp $
 *  
 *  @attention
 *  @verbatim
 *
 * MALOC = < Minimal Abstraction Layer for Object-oriented C >
 * Copyright (C) 1994-- Michael Holst
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 *  @endverbatim
 */


#ifndef _MALOC_H_
#define _MALOC_H_

#include <maloc/maloc_base.h>

#include <maloc/vsys.h>
#include <maloc/vsh.h>
#include <maloc/psh.h>

#endif /* _MALOC_H_ */

